org.bouncycastle.crypto.params

## Class ElGamalParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.ElGamalParameters

All Implemented Interfaces:
  CipherParameters

    public class ElGamalParameters
    extends java.lang.Object
    implements CipherParameters

### Constructor Summary

Constructors
Constructor and Description
`ElGamalParameters(java.math.BigInteger p, java.math.BigInteger g)`
`ElGamalParameters(java.math.BigInteger p, java.math.BigInteger g, int l)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.math.BigInteger` `getG()` return the generator - g
`int` `getL()` return private value limit - l
`java.math.BigInteger` `getP()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElGamalParameters

    public ElGamalParameters(java.math.BigInteger p,
                     java.math.BigInteger g)

#### ElGamalParameters

    public ElGamalParameters(java.math.BigInteger p,
                     java.math.BigInteger g,
                     int l)

### Method Detail

#### getP

    public java.math.BigInteger getP()

#### getG

    public java.math.BigInteger getG()

return the generator - g

#### getL

    public int getL()

return private value limit - l

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`